## Class template preforked_server

zeep::http::preforked_server

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/http/preforked-server.hpp>

    template<typename Server>
    class preforked_server : public zeep::http::preforked_server_base {
    public:
      // construct/copy/destruct
      preforked_server();
      template<typename T0> preforked_server(T0);
      template<typename T0, typename T1> preforked_server(T0, T1);
      template<typename T0, typename T1, typename T2> preforked_server(T0, T1, T2);
    };

## Description

### `preforked_server` public construct/copy/destruct

1.     preforked_server();

   Four constructors, one without and three with parameters.

2.     template<typename T0> preforked_server(T0 t0);

3.     template<typename T0, typename T1> preforked_server(T0 t0, T1 t1);

4.     template<typename T0, typename T1, typename T2>
         preforked_server(T0 t0, T1 t1, T2 t2);